%%%---------------------------------------
%%% module      : data_capsule_egg
%%% description : 扭蛋配置
%%%
%%%---------------------------------------
-module(data_capsule_egg).
-compile(export_all).
-include("capsule_egg.hrl").



%%龙神扭蛋抽1次消耗的单抽券数
get_capsule_egg_kv_cfg(long_one_cost) ->
    [{0,102305,1}];

%%龙神扭蛋连抽10次消耗的单抽券数
get_capsule_egg_kv_cfg(long_ten_cost) ->
    [{0,102305,9}];

%%龙神扭蛋连抽50次消耗的单抽券数
get_capsule_egg_kv_cfg(long_fifty_cost) ->
    [{0,102305,45}];

%%龙神扭蛋抽1次消耗1张单抽券
get_capsule_egg_kv_cfg(long_one_cost_ticket) ->
    [{0,102305,1}];

%%龙神扭蛋连抽10次消耗1张十连券
get_capsule_egg_kv_cfg(long_ten_cost_ticket) ->
    [{0,102306,1}];

%%龙神扭蛋连抽50次消耗1张五十连券
get_capsule_egg_kv_cfg(long_fifty_cost_ticket) ->
    [{0,102307,1}];

%%炫武扭蛋抽1次消耗的单抽券数
get_capsule_egg_kv_cfg(xuan_one_cost) ->
    [{0,102308,1}];

%%炫武扭蛋连抽10次消耗的单抽券数
get_capsule_egg_kv_cfg(xuan_ten_cost) ->
    [{0,102308,9}];

%%炫武扭蛋连抽50次消耗的单抽券数
get_capsule_egg_kv_cfg(xuan_fifty_cost) ->
    [{0,102308,45}];

%%炫武扭蛋抽1次消耗1张单抽券
get_capsule_egg_kv_cfg(xuan_one_cost_ticket) ->
    [{0,102308,1}];

%%炫武扭蛋连抽10次消耗1张十连券
get_capsule_egg_kv_cfg(xuan_ten_cost_ticket) ->
    [{0,102309,1}];

%%炫武扭蛋连抽50次消耗1张五十连券
get_capsule_egg_kv_cfg(xuan_fifty_cost_ticket) ->
    [{0,102310,1}];

%%华裳扭蛋抽1次消耗的单抽券数
get_capsule_egg_kv_cfg(hua_one_cost) ->
    [{0,102311,1}];

%%华裳扭蛋连抽10次消耗的单抽券数
get_capsule_egg_kv_cfg(hua_ten_cost) ->
    [{0,102311,9}];

%%华裳扭蛋连抽50次消耗的单抽券数
get_capsule_egg_kv_cfg(hua_fifty_cost) ->
    [{0,102311,45}];

%%华裳扭蛋抽1次消耗1张单抽券
get_capsule_egg_kv_cfg(hua_one_cost_ticket) ->
    [{0,102311,1}];

%%华裳扭蛋连抽10次消耗1张十连券
get_capsule_egg_kv_cfg(hua_ten_cost_ticket) ->
    [{0,102312,1}];

%%华裳扭蛋连抽50次消耗1张五十连券
get_capsule_egg_kv_cfg(hua_fifty_cost_ticket) ->
    [{0,102313,1}];

%%单次免费时间间隔（S）
get_capsule_egg_kv_cfg(free_interval) ->
    86400;

%%龙神扭蛋开放主线任务
get_capsule_egg_kv_cfg(task_id) ->
    11260;

%%炫武扭蛋开放等级
get_capsule_egg_kv_cfg(open_lv) ->
    999;

%%华裳扭蛋开放天数
get_capsule_egg_kv_cfg(open_day) ->
    999;

%%3档记录保留时间（S）
get_capsule_egg_kv_cfg(tv_show_time) ->
    172800;

%%1、2档记录保留时间（S）
get_capsule_egg_kv_cfg(tv_topshow_time) ->
    604800;

%%1、2档奖励记录条数
get_capsule_egg_kv_cfg(show_num_one) ->
    3;

%%3档奖励记录条数
get_capsule_egg_kv_cfg(show_num_two) ->
    11;

%%寻宝奖励页面展示奖励
get_capsule_egg_kv_cfg(show_reward) ->
    [{0,330113,1},{0,330114,1},{0,330115,1},{0,330116,1},{0,330117,1},{0,330213,1},{0,330214,1},{0,330215,1},{0,330216,1},{0,330217,1},{0,330313,1},{0,330314,1},{0,330315,1},{0,330316,1},{0,330317,1}];

%%次数奖励重置天数
get_capsule_egg_kv_cfg(reward_reset) ->
    7;

%%大奖附赠奖励
get_capsule_egg_kv_cfg(giving_reward) ->
    [{0,401012,30}];

%%全服幸运值加成概率
get_capsule_egg_kv_cfg(server_lucky_value) ->
    [{100,50},{200,100},{400,200},{650,300},{988,500}];

get_capsule_egg_kv_cfg(_Key) ->
    [].

get_capsule_egg_reward_cfg(1) ->
    #capsule_egg_reward_cfg{id = 1,pool_type = 1,color = 1,reward = [{0,330113,1}],weight = 50,client_pos = 2};

get_capsule_egg_reward_cfg(2) ->
    #capsule_egg_reward_cfg{id = 2,pool_type = 1,color = 1,reward = [{0,330114,1}],weight = 50,client_pos = 7};

get_capsule_egg_reward_cfg(3) ->
    #capsule_egg_reward_cfg{id = 3,pool_type = 1,color = 1,reward = [{0,330115,1}],weight = 50,client_pos = 0};

get_capsule_egg_reward_cfg(4) ->
    #capsule_egg_reward_cfg{id = 4,pool_type = 1,color = 1,reward = [{0,330116,1}],weight = 50,client_pos = 0};

get_capsule_egg_reward_cfg(5) ->
    #capsule_egg_reward_cfg{id = 5,pool_type = 1,color = 2,reward = [{0,330117,1}],weight = 50,client_pos = 0};

get_capsule_egg_reward_cfg(6) ->
    #capsule_egg_reward_cfg{id = 6,pool_type = 1,color = 0,reward = [{0,330213,1}],weight = 8,client_pos = 1};

get_capsule_egg_reward_cfg(7) ->
    #capsule_egg_reward_cfg{id = 7,pool_type = 1,color = 1,reward = [{0,330214,1}],weight = 50,client_pos = 8};

get_capsule_egg_reward_cfg(8) ->
    #capsule_egg_reward_cfg{id = 8,pool_type = 1,color = 1,reward = [{0,330215,1}],weight = 50,client_pos = 0};

get_capsule_egg_reward_cfg(9) ->
    #capsule_egg_reward_cfg{id = 9,pool_type = 1,color = 1,reward = [{0,330216,1}],weight = 50,client_pos = 0};

get_capsule_egg_reward_cfg(10) ->
    #capsule_egg_reward_cfg{id = 10,pool_type = 1,color = 2,reward = [{0,330217,1}],weight = 50,client_pos = 0};

get_capsule_egg_reward_cfg(11) ->
    #capsule_egg_reward_cfg{id = 11,pool_type = 1,color = 1,reward = [{0,330313,1}],weight = 50,client_pos = 3};

get_capsule_egg_reward_cfg(12) ->
    #capsule_egg_reward_cfg{id = 12,pool_type = 1,color = 1,reward = [{0,330314,1}],weight = 50,client_pos = 9};

get_capsule_egg_reward_cfg(13) ->
    #capsule_egg_reward_cfg{id = 13,pool_type = 1,color = 1,reward = [{0,330315,1}],weight = 50,client_pos = 0};

get_capsule_egg_reward_cfg(14) ->
    #capsule_egg_reward_cfg{id = 14,pool_type = 1,color = 1,reward = [{0,330316,1}],weight = 50,client_pos = 0};

get_capsule_egg_reward_cfg(15) ->
    #capsule_egg_reward_cfg{id = 15,pool_type = 1,color = 2,reward = [{0,330317,1}],weight = 50,client_pos = 0};

get_capsule_egg_reward_cfg(16) ->
    #capsule_egg_reward_cfg{id = 16,pool_type = 1,color = 2,reward = [{0,331108,1}],weight = 10,client_pos = 4};

get_capsule_egg_reward_cfg(17) ->
    #capsule_egg_reward_cfg{id = 17,pool_type = 1,color = 2,reward = [{0,331109,1}],weight = 10,client_pos = 10};

get_capsule_egg_reward_cfg(18) ->
    #capsule_egg_reward_cfg{id = 18,pool_type = 1,color = 2,reward = [{0,331110,1}],weight = 10,client_pos = 0};

get_capsule_egg_reward_cfg(19) ->
    #capsule_egg_reward_cfg{id = 19,pool_type = 1,color = 2,reward = [{0,331111,1}],weight = 10,client_pos = 0};

get_capsule_egg_reward_cfg(20) ->
    #capsule_egg_reward_cfg{id = 20,pool_type = 1,color = 2,reward = [{0,331112,1}],weight = 10,client_pos = 0};

get_capsule_egg_reward_cfg(21) ->
    #capsule_egg_reward_cfg{id = 21,pool_type = 1,color = 2,reward = [{0,331208,1}],weight = 10,client_pos = 5};

get_capsule_egg_reward_cfg(22) ->
    #capsule_egg_reward_cfg{id = 22,pool_type = 1,color = 2,reward = [{0,331209,1}],weight = 10,client_pos = 11};

get_capsule_egg_reward_cfg(23) ->
    #capsule_egg_reward_cfg{id = 23,pool_type = 1,color = 2,reward = [{0,331210,1}],weight = 10,client_pos = 0};

get_capsule_egg_reward_cfg(24) ->
    #capsule_egg_reward_cfg{id = 24,pool_type = 1,color = 2,reward = [{0,331211,1}],weight = 10,client_pos = 0};

get_capsule_egg_reward_cfg(25) ->
    #capsule_egg_reward_cfg{id = 25,pool_type = 1,color = 2,reward = [{0,331212,1}],weight = 10,client_pos = 0};

get_capsule_egg_reward_cfg(26) ->
    #capsule_egg_reward_cfg{id = 26,pool_type = 1,color = 2,reward = [{0,331308,1}],weight = 10,client_pos = 6};

get_capsule_egg_reward_cfg(27) ->
    #capsule_egg_reward_cfg{id = 27,pool_type = 1,color = 2,reward = [{0,331309,1}],weight = 10,client_pos = 12};

get_capsule_egg_reward_cfg(28) ->
    #capsule_egg_reward_cfg{id = 28,pool_type = 1,color = 2,reward = [{0,331310,1}],weight = 10,client_pos = 0};

get_capsule_egg_reward_cfg(29) ->
    #capsule_egg_reward_cfg{id = 29,pool_type = 1,color = 2,reward = [{0,331311,1}],weight = 10,client_pos = 0};

get_capsule_egg_reward_cfg(30) ->
    #capsule_egg_reward_cfg{id = 30,pool_type = 1,color = 2,reward = [{0,331312,1}],weight = 10,client_pos = 0};

get_capsule_egg_reward_cfg(31) ->
    #capsule_egg_reward_cfg{id = 31,pool_type = 1,color = 2,reward = [{0,330108,1}],weight = 270,client_pos = 13};

get_capsule_egg_reward_cfg(32) ->
    #capsule_egg_reward_cfg{id = 32,pool_type = 1,color = 2,reward = [{0,330109,1}],weight = 270,client_pos = 0};

get_capsule_egg_reward_cfg(33) ->
    #capsule_egg_reward_cfg{id = 33,pool_type = 1,color = 2,reward = [{0,330110,1}],weight = 270,client_pos = 0};

get_capsule_egg_reward_cfg(34) ->
    #capsule_egg_reward_cfg{id = 34,pool_type = 1,color = 2,reward = [{0,330111,1}],weight = 270,client_pos = 0};

get_capsule_egg_reward_cfg(35) ->
    #capsule_egg_reward_cfg{id = 35,pool_type = 1,color = 2,reward = [{0,330112,1}],weight = 270,client_pos = 0};

get_capsule_egg_reward_cfg(36) ->
    #capsule_egg_reward_cfg{id = 36,pool_type = 1,color = 2,reward = [{0,330208,1}],weight = 270,client_pos = 14};

get_capsule_egg_reward_cfg(37) ->
    #capsule_egg_reward_cfg{id = 37,pool_type = 1,color = 2,reward = [{0,330209,1}],weight = 270,client_pos = 0};

get_capsule_egg_reward_cfg(38) ->
    #capsule_egg_reward_cfg{id = 38,pool_type = 1,color = 2,reward = [{0,330210,1}],weight = 270,client_pos = 0};

get_capsule_egg_reward_cfg(39) ->
    #capsule_egg_reward_cfg{id = 39,pool_type = 1,color = 2,reward = [{0,330211,1}],weight = 270,client_pos = 0};

get_capsule_egg_reward_cfg(40) ->
    #capsule_egg_reward_cfg{id = 40,pool_type = 1,color = 2,reward = [{0,330212,1}],weight = 270,client_pos = 0};

get_capsule_egg_reward_cfg(41) ->
    #capsule_egg_reward_cfg{id = 41,pool_type = 1,color = 2,reward = [{0,330308,1}],weight = 270,client_pos = 15};

get_capsule_egg_reward_cfg(42) ->
    #capsule_egg_reward_cfg{id = 42,pool_type = 1,color = 2,reward = [{0,330309,1}],weight = 270,client_pos = 0};

get_capsule_egg_reward_cfg(43) ->
    #capsule_egg_reward_cfg{id = 43,pool_type = 1,color = 2,reward = [{0,330310,1}],weight = 270,client_pos = 0};

get_capsule_egg_reward_cfg(44) ->
    #capsule_egg_reward_cfg{id = 44,pool_type = 1,color = 2,reward = [{0,330311,1}],weight = 270,client_pos = 0};

get_capsule_egg_reward_cfg(45) ->
    #capsule_egg_reward_cfg{id = 45,pool_type = 1,color = 2,reward = [{0,330312,1}],weight = 270,client_pos = 0};

get_capsule_egg_reward_cfg(46) ->
    #capsule_egg_reward_cfg{id = 46,pool_type = 1,color = 3,reward = [{0,330105,1}],weight = 2500,client_pos = 19};

get_capsule_egg_reward_cfg(47) ->
    #capsule_egg_reward_cfg{id = 47,pool_type = 1,color = 3,reward = [{0,330106,1}],weight = 2500,client_pos = 0};

get_capsule_egg_reward_cfg(48) ->
    #capsule_egg_reward_cfg{id = 48,pool_type = 1,color = 3,reward = [{0,330107,1}],weight = 2500,client_pos = 0};

get_capsule_egg_reward_cfg(49) ->
    #capsule_egg_reward_cfg{id = 49,pool_type = 1,color = 3,reward = [{0,330205,1}],weight = 2500,client_pos = 20};

get_capsule_egg_reward_cfg(50) ->
    #capsule_egg_reward_cfg{id = 50,pool_type = 1,color = 3,reward = [{0,330206,1}],weight = 2500,client_pos = 0};

get_capsule_egg_reward_cfg(51) ->
    #capsule_egg_reward_cfg{id = 51,pool_type = 1,color = 3,reward = [{0,330207,1}],weight = 2500,client_pos = 0};

get_capsule_egg_reward_cfg(52) ->
    #capsule_egg_reward_cfg{id = 52,pool_type = 1,color = 3,reward = [{0,330305,1}],weight = 2500,client_pos = 21};

get_capsule_egg_reward_cfg(53) ->
    #capsule_egg_reward_cfg{id = 53,pool_type = 1,color = 3,reward = [{0,330306,1}],weight = 2500,client_pos = 0};

get_capsule_egg_reward_cfg(54) ->
    #capsule_egg_reward_cfg{id = 54,pool_type = 1,color = 3,reward = [{0,330307,1}],weight = 2500,client_pos = 0};

get_capsule_egg_reward_cfg(55) ->
    #capsule_egg_reward_cfg{id = 55,pool_type = 1,color = 4,reward = [{0,330101,1}],weight = 7500,client_pos = 22};

get_capsule_egg_reward_cfg(56) ->
    #capsule_egg_reward_cfg{id = 56,pool_type = 1,color = 4,reward = [{0,330102,1}],weight = 7500,client_pos = 0};

get_capsule_egg_reward_cfg(57) ->
    #capsule_egg_reward_cfg{id = 57,pool_type = 1,color = 4,reward = [{0,330103,1}],weight = 6250,client_pos = 0};

get_capsule_egg_reward_cfg(58) ->
    #capsule_egg_reward_cfg{id = 58,pool_type = 1,color = 4,reward = [{0,330104,1}],weight = 6250,client_pos = 0};

get_capsule_egg_reward_cfg(59) ->
    #capsule_egg_reward_cfg{id = 59,pool_type = 1,color = 4,reward = [{0,330201,1}],weight = 7500,client_pos = 23};

get_capsule_egg_reward_cfg(60) ->
    #capsule_egg_reward_cfg{id = 60,pool_type = 1,color = 4,reward = [{0,330202,1}],weight = 7500,client_pos = 0};

get_capsule_egg_reward_cfg(61) ->
    #capsule_egg_reward_cfg{id = 61,pool_type = 1,color = 4,reward = [{0,330203,1}],weight = 6250,client_pos = 0};

get_capsule_egg_reward_cfg(62) ->
    #capsule_egg_reward_cfg{id = 62,pool_type = 1,color = 4,reward = [{0,330204,1}],weight = 6250,client_pos = 0};

get_capsule_egg_reward_cfg(63) ->
    #capsule_egg_reward_cfg{id = 63,pool_type = 1,color = 4,reward = [{0,330301,1}],weight = 7500,client_pos = 24};

get_capsule_egg_reward_cfg(64) ->
    #capsule_egg_reward_cfg{id = 64,pool_type = 1,color = 4,reward = [{0,330302,1}],weight = 7500,client_pos = 0};

get_capsule_egg_reward_cfg(65) ->
    #capsule_egg_reward_cfg{id = 65,pool_type = 1,color = 4,reward = [{0,330303,1}],weight = 6250,client_pos = 0};

get_capsule_egg_reward_cfg(66) ->
    #capsule_egg_reward_cfg{id = 66,pool_type = 1,color = 4,reward = [{0,330304,1}],weight = 6250,client_pos = 0};

get_capsule_egg_reward_cfg(67) ->
    #capsule_egg_reward_cfg{id = 67,pool_type = 1,color = 5,reward = [{0,330901,1}],weight = 39000,client_pos = 18};

get_capsule_egg_reward_cfg(68) ->
    #capsule_egg_reward_cfg{id = 68,pool_type = 1,color = 5,reward = [{0,330902,1}],weight = 900,client_pos = 17};

get_capsule_egg_reward_cfg(69) ->
    #capsule_egg_reward_cfg{id = 69,pool_type = 1,color = 5,reward = [{0,330903,1}],weight = 150,client_pos = 16};

get_capsule_egg_reward_cfg(70) ->
    #capsule_egg_reward_cfg{id = 70,pool_type = 2,color = 1,reward = [{0,410203,1}],weight = 10,client_pos = 1};

get_capsule_egg_reward_cfg(71) ->
    #capsule_egg_reward_cfg{id = 71,pool_type = 2,color = 2,reward = [{0,420010,1}],weight = 100,client_pos = 2};

get_capsule_egg_reward_cfg(72) ->
    #capsule_egg_reward_cfg{id = 72,pool_type = 2,color = 2,reward = [{0,109007,1}],weight = 100,client_pos = 3};

get_capsule_egg_reward_cfg(73) ->
    #capsule_egg_reward_cfg{id = 73,pool_type = 2,color = 3,reward = [{0,109006,1}],weight = 300,client_pos = 4};

get_capsule_egg_reward_cfg(74) ->
    #capsule_egg_reward_cfg{id = 74,pool_type = 2,color = 3,reward = [{0,109003,3}],weight = 300,client_pos = 5};

get_capsule_egg_reward_cfg(75) ->
    #capsule_egg_reward_cfg{id = 75,pool_type = 2,color = 4,reward = [{0,109002,2}],weight = 500,client_pos = 6};

get_capsule_egg_reward_cfg(76) ->
    #capsule_egg_reward_cfg{id = 76,pool_type = 2,color = 4,reward = [{0,109001,5}],weight = 500,client_pos = 7};

get_capsule_egg_reward_cfg(77) ->
    #capsule_egg_reward_cfg{id = 77,pool_type = 2,color = 4,reward = [{0,420009,1}],weight = 1000,client_pos = 8};

get_capsule_egg_reward_cfg(78) ->
    #capsule_egg_reward_cfg{id = 78,pool_type = 2,color = 4,reward = [{0,420008,1}],weight = 1000,client_pos = 9};

get_capsule_egg_reward_cfg(79) ->
    #capsule_egg_reward_cfg{id = 79,pool_type = 2,color = 4,reward = [{0,420007,1}],weight = 1000,client_pos = 10};

get_capsule_egg_reward_cfg(80) ->
    #capsule_egg_reward_cfg{id = 80,pool_type = 2,color = 4,reward = [{0,420006,1}],weight = 1000,client_pos = 11};

get_capsule_egg_reward_cfg(81) ->
    #capsule_egg_reward_cfg{id = 81,pool_type = 2,color = 4,reward = [{0,420005,1}],weight = 2000,client_pos = 0};

get_capsule_egg_reward_cfg(82) ->
    #capsule_egg_reward_cfg{id = 82,pool_type = 3,color = 1,reward = [{0,240008,1}],weight = 10,client_pos = 1};

get_capsule_egg_reward_cfg(83) ->
    #capsule_egg_reward_cfg{id = 83,pool_type = 3,color = 2,reward = [{0,240005,1}],weight = 100,client_pos = 2};

get_capsule_egg_reward_cfg(84) ->
    #capsule_egg_reward_cfg{id = 84,pool_type = 3,color = 2,reward = [{0,240006,1}],weight = 100,client_pos = 3};

get_capsule_egg_reward_cfg(85) ->
    #capsule_egg_reward_cfg{id = 85,pool_type = 3,color = 3,reward = [{0,240001,1}],weight = 300,client_pos = 4};

get_capsule_egg_reward_cfg(86) ->
    #capsule_egg_reward_cfg{id = 86,pool_type = 3,color = 3,reward = [{0,240002,1}],weight = 300,client_pos = 5};

get_capsule_egg_reward_cfg(87) ->
    #capsule_egg_reward_cfg{id = 87,pool_type = 3,color = 4,reward = [{0,241001,1}],weight = 500,client_pos = 6};

get_capsule_egg_reward_cfg(88) ->
    #capsule_egg_reward_cfg{id = 88,pool_type = 3,color = 4,reward = [{0,241002,1}],weight = 500,client_pos = 7};

get_capsule_egg_reward_cfg(89) ->
    #capsule_egg_reward_cfg{id = 89,pool_type = 3,color = 4,reward = [{0,241003,1}],weight = 1000,client_pos = 8};

get_capsule_egg_reward_cfg(90) ->
    #capsule_egg_reward_cfg{id = 90,pool_type = 3,color = 4,reward = [{0,241004,1}],weight = 1000,client_pos = 9};

get_capsule_egg_reward_cfg(91) ->
    #capsule_egg_reward_cfg{id = 91,pool_type = 3,color = 4,reward = [{0,242001,1}],weight = 1000,client_pos = 10};

get_capsule_egg_reward_cfg(92) ->
    #capsule_egg_reward_cfg{id = 92,pool_type = 3,color = 4,reward = [{0,242002,1}],weight = 1000,client_pos = 11};

get_capsule_egg_reward_cfg(93) ->
    #capsule_egg_reward_cfg{id = 93,pool_type = 3,color = 4,reward = [{0,242003,1}],weight = 2000,client_pos = 0};

get_capsule_egg_reward_cfg(_Id) ->
    [].


get_capsule_egg_reward_list_cfg(1) ->
    [1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69];


get_capsule_egg_reward_list_cfg(2) ->
    [70,71,72,73,74,75,76,77,78,79,80,81];


get_capsule_egg_reward_list_cfg(3) ->
    [82,83,84,85,86,87,88,89,90,91,92,93];

get_capsule_egg_reward_list_cfg(_Pooltype) ->
    [].

get_capsule_egg_reward_sublist_cfg(1,1) ->
    [1,2,3,4,7,8,9,11,12,13,14];

get_capsule_egg_reward_sublist_cfg(1,2) ->
    [5,10,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45];

get_capsule_egg_reward_sublist_cfg(1,0) ->
    [6];

get_capsule_egg_reward_sublist_cfg(1,3) ->
    [46,47,48,49,50,51,52,53,54];

get_capsule_egg_reward_sublist_cfg(1,4) ->
    [55,56,57,58,59,60,61,62,63,64,65,66];

get_capsule_egg_reward_sublist_cfg(1,5) ->
    [67,68,69];

get_capsule_egg_reward_sublist_cfg(2,1) ->
    [70];

get_capsule_egg_reward_sublist_cfg(2,2) ->
    [71,72];

get_capsule_egg_reward_sublist_cfg(2,3) ->
    [73,74];

get_capsule_egg_reward_sublist_cfg(2,4) ->
    [75,76,77,78,79,80,81];

get_capsule_egg_reward_sublist_cfg(3,1) ->
    [82];

get_capsule_egg_reward_sublist_cfg(3,2) ->
    [83,84];

get_capsule_egg_reward_sublist_cfg(3,3) ->
    [85,86];

get_capsule_egg_reward_sublist_cfg(3,4) ->
    [87,88,89,90,91,92,93];

get_capsule_egg_reward_sublist_cfg(_Pooltype,_Color) ->
    [].

get_capsule_egg_ratio_cfg(1,1,0,Lucky) when Lucky >= 1, Lucky =< 300 ->
		0;
get_capsule_egg_ratio_cfg(1,1,0,Lucky) when Lucky >= 301, Lucky =< 600 ->
		500;
get_capsule_egg_ratio_cfg(1,1,0,Lucky) when Lucky >= 601, Lucky =< 99999 ->
		100000000;
get_capsule_egg_ratio_cfg(1,1,1,Lucky) when Lucky >= 1, Lucky =< 5 ->
		-10;
get_capsule_egg_ratio_cfg(1,1,1,Lucky) when Lucky >= 6, Lucky =< 17 ->
		10;
get_capsule_egg_ratio_cfg(1,1,1,Lucky) when Lucky >= 18, Lucky =< 22 ->
		500;
get_capsule_egg_ratio_cfg(1,1,1,Lucky) when Lucky >= 23, Lucky =< 99999 ->
		100000;
get_capsule_egg_ratio_cfg(1,2,1,Lucky) when Lucky >= 1, Lucky =< 100 ->
		0;
get_capsule_egg_ratio_cfg(1,2,1,Lucky) when Lucky >= 101, Lucky =< 500 ->
		5;
get_capsule_egg_ratio_cfg(1,2,1,Lucky) when Lucky >= 501, Lucky =< 1000 ->
		500;
get_capsule_egg_ratio_cfg(1,2,1,Lucky) when Lucky >= 1001, Lucky =< 99999 ->
		100000;
get_capsule_egg_ratio_cfg(1,1,2,Lucky) when Lucky >= 1, Lucky =< 5 ->
		-10;
get_capsule_egg_ratio_cfg(1,1,2,Lucky) when Lucky >= 6, Lucky =< 17 ->
		10;
get_capsule_egg_ratio_cfg(1,1,2,Lucky) when Lucky >= 18, Lucky =< 22 ->
		500;
get_capsule_egg_ratio_cfg(1,1,2,Lucky) when Lucky >= 23, Lucky =< 99999 ->
		100000;
get_capsule_egg_ratio_cfg(1,2,2,Lucky) when Lucky >= 1, Lucky =< 100 ->
		0;
get_capsule_egg_ratio_cfg(1,2,2,Lucky) when Lucky >= 101, Lucky =< 500 ->
		5;
get_capsule_egg_ratio_cfg(1,2,2,Lucky) when Lucky >= 501, Lucky =< 1000 ->
		500;
get_capsule_egg_ratio_cfg(1,2,2,Lucky) when Lucky >= 1001, Lucky =< 99999 ->
		100000;
get_capsule_egg_ratio_cfg(_Pool_type,_Type,_Color,_Lucky) ->
    [].

get_ratio_color(1) -> 2;
get_ratio_color(_Pool_type) -> 0.

get_capsule_egg_times_cfg(1,3) ->
    [2];

get_capsule_egg_times_cfg(1,25) ->
    [2];

get_capsule_egg_times_cfg(1,55) ->
    [2];

get_capsule_egg_times_cfg(1,112) ->
    [2];

get_capsule_egg_times_cfg(1,192) ->
    [2];

get_capsule_egg_times_cfg(_Pooltype,_Drawtimes) ->
    [].


get_all_must_times_cfg(1) ->
    [3,25,55,112,192];

get_all_must_times_cfg(_Pooltype) ->
    [].

get_capsule_egg_exchange_cfg(1) ->
    #capsule_egg_exchange_cfg{id = 1,reward = [{0,401000,1}],cost_score = 1000,exchange_times = 1,limit_type = 3};

get_capsule_egg_exchange_cfg(2) ->
    #capsule_egg_exchange_cfg{id = 2,reward = [{0,450016,1}],cost_score = 500,exchange_times = 1,limit_type = 2};

get_capsule_egg_exchange_cfg(3) ->
    #capsule_egg_exchange_cfg{id = 3,reward = [{0,450010,1}],cost_score = 500,exchange_times = 1,limit_type = 2};

get_capsule_egg_exchange_cfg(4) ->
    #capsule_egg_exchange_cfg{id = 4,reward = [{0,410001,1}],cost_score = 500,exchange_times = 1,limit_type = 2};

get_capsule_egg_exchange_cfg(5) ->
    #capsule_egg_exchange_cfg{id = 5,reward = [{0,425003,1}],cost_score = 200,exchange_times = 1,limit_type = 2};

get_capsule_egg_exchange_cfg(6) ->
    #capsule_egg_exchange_cfg{id = 6,reward = [{0,109034,1}],cost_score = 50,exchange_times = 5,limit_type = 1};

get_capsule_egg_exchange_cfg(7) ->
    #capsule_egg_exchange_cfg{id = 7,reward = [{0,109033,1}],cost_score = 20,exchange_times = 5,limit_type = 1};

get_capsule_egg_exchange_cfg(8) ->
    #capsule_egg_exchange_cfg{id = 8,reward = [{0,230001,5}],cost_score = 10,exchange_times = 5,limit_type = 1};

get_capsule_egg_exchange_cfg(9) ->
    #capsule_egg_exchange_cfg{id = 9,reward = [{0,230002,5}],cost_score = 10,exchange_times = 5,limit_type = 1};

get_capsule_egg_exchange_cfg(10) ->
    #capsule_egg_exchange_cfg{id = 10,reward = [{0,230003,5}],cost_score = 10,exchange_times = 5,limit_type = 1};

get_capsule_egg_exchange_cfg(11) ->
    #capsule_egg_exchange_cfg{id = 11,reward = [{0,230004,5}],cost_score = 10,exchange_times = 5,limit_type = 1};

get_capsule_egg_exchange_cfg(12) ->
    #capsule_egg_exchange_cfg{id = 12,reward = [{0,230005,5}],cost_score = 10,exchange_times = 5,limit_type = 1};

get_capsule_egg_exchange_cfg(13) ->
    #capsule_egg_exchange_cfg{id = 13,reward = [{0,230006,5}],cost_score = 10,exchange_times = 5,limit_type = 1};

get_capsule_egg_exchange_cfg(14) ->
    #capsule_egg_exchange_cfg{id = 14,reward = [{0,230007,5}],cost_score = 10,exchange_times = 5,limit_type = 1};

get_capsule_egg_exchange_cfg(15) ->
    #capsule_egg_exchange_cfg{id = 15,reward = [{0,230008,6}],cost_score = 10,exchange_times = 5,limit_type = 1};

get_capsule_egg_exchange_cfg(_Id) ->
    [].

get_capsule_egg_exchange_list_cfg() ->
    [1,2,3,4,5,6,7,8,9,10,11,12,13,14,15].


get_all_times(1) ->
    [30,50,100,200,300,500];

get_all_times(_Pooltype) ->
    [].

get_times_reward(1,30) ->
    [{0,102305,1},{0,330901,5}];

get_times_reward(1,50) ->
    [{0,102305,2},{0,330901,10}];

get_times_reward(1,100) ->
    [{0,450061,1},{0,330902,5}];

get_times_reward(1,200) ->
    [{0,450062,1}];

get_times_reward(1,300) ->
    [{0,450063,1}];

get_times_reward(1,500) ->
    [{0,450062,1}];

get_times_reward(_Pooltype,_Drawtimes) ->
    [].

